[REQ] Plugin Multi-View Elevations
-
@renderiza said:
Very clever idea!
This is a Brilliant idea!
I can't take credit for it... some guy way back in drafting history came up with it... or maybe his wife.
-
I gotcha...going to my lab an will report to you soon!
-
wrings hands and waits with bated breath...
-
One thing to keep in mind while making this. If the scene order is right it should make a good basis for a standard animation.
I just had fish for dinner, so mine is baited breath.
-
@box said:
One thing to keep in mind while making this. If the scene order is right it should make a good basis for a standard animation.
I just had fish for dinner, so mine is baited breath.
-
Hi,
Any ideas on what will be the name of this plugin?
Cheers!
-
The name of the symbol is an Elevation Marker. Perhaps "MarkerMaker"?
-
The name is important since it will give a hint as to what the plugin do.
"Marker Maker" - Is good
"Elevation Maker" - Maybe good as well?
Anyways no hurry for this but its nice to start exploring ideas.
-
Elevation Maker would be good if you can also make the exterior elevations... which would be an inversion of directions. The same marker is used for exterior parallel elevations.
Easy Elevations?
Interioriza?
Elevation Tools? -
sectionist
-
Multi Elevation Set Point
-
Late to the party...
ElevTag
- 1 direction == outside elev marker...
ElevTag4
- 4 direction == room elev marker...That's what mine is called...
Unpublished for personal use... -
camera samurai
-
You already have something that does this Tig?
-
Maybe TIG already have this but just in case here is some initial progress into making this plugin happen.
The following code is only purpose is to position camera to the center of a group (in this case the marker with arrows). The way the code filters other groups is by name so in this case I am naming the group "Camera".
model = Sketchup.active_model ; sel = model.selection ; ents = model.active_entities ; groups = ents.grep(Sketchup;;Group) groups.each do |e| if e.name == "Camera" boundbox = e.bounds ; @center = boundbox.center ; end ; end ; view = Sketchup.active_model.active_view ; x = @center.x.to_f ; y = @center.y.to_f ; z = 50 ; newEye = Geom;;Point3d.new(x,y,z) ; targetX = 0.0 if !targetX ; targetY = 0.0 if !targetY ; targetZ = 50.0 if !targetZ ; newTarget = Geom;;Point3d.new(targetX,targetY,targetZ) newUp = Geom;;Vector3d.new(0,0,1) newCamera = view.camera newCamera.set(newEye,newTarget,newUp) view.camera = newCamera view.invalidate()
There is still a lot of things to but just want to post some progress code. This is just testing code that you may use with "Ruby Code Editor" to see results.
Cheers!
-
woudn't it be more useful to actually click on the position required? (cheddar walls)
-
@cadfather said:
woudn't it be more useful to actually click on the position required? (cheddar walls)
yes that will be necessary. like 5 or more of these will be needed per plan... and rooms will never be in the same location.
-
What you suggested can be done no problem but having the ability to place a marker will provide visual reference which is good. Maybe you can click where you want to position camera and also place markers at the same time.
Cheers!
-
Are you probe CubicPanoOut? You can free downloading it here CubicPanoOut.rb
The plugin create six Views/Scenes-->Front, Right, Left, Back, Up and Down and you have the possibility to save the six images with size option.
With the Place Camera SU Tool, put the camera for example in the center of a room and automatically the CubicPanoOut generate the six Views/Scenes.
The problem is that the images generates are square, same width & height but you can go to File/Export/2D Graphic and save the image in the size that you want. -
I'll have a look at it.
Advertisement